package cn.superdesk.uniorder.dao.mapper.thirdpart.szhtxx.electronicInvoice;

import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxExtendInfo;
import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxExtendInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SzhtxxElectronicInvoiceFptxxExtendInfoMapper {
    long countByExample(SzhtxxElectronicInvoiceFptxxExtendInfoExample example);

    int deleteByExample(SzhtxxElectronicInvoiceFptxxExtendInfoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SzhtxxElectronicInvoiceFptxxExtendInfo record);

    int insertSelective(SzhtxxElectronicInvoiceFptxxExtendInfo record);

    List<SzhtxxElectronicInvoiceFptxxExtendInfo> selectByExampleWithBLOBs(SzhtxxElectronicInvoiceFptxxExtendInfoExample example);

    List<SzhtxxElectronicInvoiceFptxxExtendInfo> selectByExample(SzhtxxElectronicInvoiceFptxxExtendInfoExample example);

    SzhtxxElectronicInvoiceFptxxExtendInfo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SzhtxxElectronicInvoiceFptxxExtendInfo record, @Param("example") SzhtxxElectronicInvoiceFptxxExtendInfoExample example);

    int updateByExampleWithBLOBs(@Param("record") SzhtxxElectronicInvoiceFptxxExtendInfo record, @Param("example") SzhtxxElectronicInvoiceFptxxExtendInfoExample example);

    int updateByExample(@Param("record") SzhtxxElectronicInvoiceFptxxExtendInfo record, @Param("example") SzhtxxElectronicInvoiceFptxxExtendInfoExample example);

    int updateByPrimaryKeySelective(SzhtxxElectronicInvoiceFptxxExtendInfo record);

    int updateByPrimaryKeyWithBLOBs(SzhtxxElectronicInvoiceFptxxExtendInfo record);

    int updateByPrimaryKey(SzhtxxElectronicInvoiceFptxxExtendInfo record);
}